Body
Update Mobile Number
The API can be used to update the mobile number passed in create/authenticate API.
Request
Response
API Endpoints
Sandbox Link
POST
https://api.sandbox.juspay.io/wallets/:walletId
Production Link
POST
https://api.juspay.io/wallets/:walletId
Authorization Header
Basic Auth
*
Base64 Encoded Username:Password
Mandatory
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Headers
version
string
version should be >=2019-09-17
Content-Type
string
Should be application/x-www-form-urlencoded
Parameters
command
*
string
Required
The command should be update, for updating the mobile number
mobile_number
*
string
Required
The new/updated mobile number
200 : Success
Response Body
id
*
string
Required
Example : wlt_yvuidaupkvz3
object
*
string
Required
Example : wallet_account
wallet
*
string
Required
Example : PAYTM
token
null
current_balance
null
linked
*
boolean
Required
last_refreshed
null
metadata
object
mobile_number
string
Example : 7777777777
gateway_reference_id
String

